REST APIOrganizationOrganization Webhooks

POST

Create a webhook that sends an HTTP callback from BitGo to a specified URL when specific conditions occur within an organization. Must be an organization manager to perform this action. To call this endpoint, you must have the user_manage scope on a short-lived access token created either in the web app or programmatically using the Login endpoint.

Path Params

  • organizationId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Body Params

ONE OF

  • allToken boolean
  • coin string
  • includeRbf boolean
  • label string
  • listenToFailureStates boolean
  • numConfirmations number
  • type string enum required
    transfer
  • url string required

    at least 1 characters

Responses

200
OK

Response Body

object

Webhook response scoped to organization webhook types — coin is optional.
  • id string required

    matches ^[0-9a-f]{32}$

  • created string date-time required
  • url string uri required
  • version number required
    2 for coins running on API v2.
  • scope string enum required
    walletenterpriseorganizationsafe
  • state string enum required
    If 'active', indicates the webhook can trigger and send to the URL. If 'suspended', indicates the webhook can't trigger.
    activesuspended
  • successiveFailedAttempts number required
  • listenToFailureStates boolean required
    Whether or not to listen to failed transactions on chain.
  • coin string
    A cryptocurrency or token ticker symbol.
  • label string
    Label of the new webhook.
  • walletId string
  • enterpriseId string
  • organizationId string

    matches ^[0-9a-f]{32}$

  • userId string
  • type string enum
    Event type to listen to.
    transfertxRequestpendingapprovaltxRequestTransactionbankAccountidentityStatusidvStatususerKycStateenterpriseKycStateaccessTokenreversaltradeOrderwhitelistApprovedwhitelistRejected
  • numConfirmations number
  • lastAttempt string date-time
  • failingSince string date-time
  • allToken boolean
  • txRequestStates array of string enums
    pendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed
  • txRequestTransactionStates array of string enums
    initializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGShareecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3eddsaMPCv2Round1eddsaMPCv2Round2eddsaMPCv2Round3readyToCombineSharessignedhelddeliveredinvalidSignaturerejected
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id